LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-06-2003, 11:04 PM   #1
llee
LQ Newbie
 
Registered: Apr 2003
Posts: 23

Rep: Reputation: 15
Apache Compile - 6.3. Building and installing PHP4 help - Cannot find rfc822.h


I am upto 6.3. Building and installing PHP4, it says:

Edit the Makefile and add -lstdc++ to the variable EXTRA_LIBS. This is currently only needed, when using Sablotron version 0.9.7

I've installed Sablotron version 0.9.8, instead of 0.9.7. How do I find out if it is required or not?

I see two Makefiles under that directory /usr/local/php-4.3.0/

Makefile.global
Makefile.frag

Which one should I edit? Also how would this line look like? I am guessing Makefile.global. Thank you.

Last edited by llee; 05-07-2003 at 01:04 PM.
 
Old 05-06-2003, 11:06 PM   #2
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Ummm .... what does the 6.3 in the title
apply to?

/usr/local/php-4.3.0 ... that's an odd spot
for a source directory?

Cheers,
Tink
 
Old 05-07-2003, 01:20 AM   #3
llee
LQ Newbie
 
Registered: Apr 2003
Posts: 23

Original Poster
Rep: Reputation: 15
I think so too... I am just trying to follow the directions here to get this working.
 
Old 05-07-2003, 11:09 AM   #4
llee
LQ Newbie
 
Registered: Apr 2003
Posts: 23

Original Poster
Rep: Reputation: 15
added the link above to:

what does the 6.3 in the title apply to:
 
Old 05-07-2003, 01:02 PM   #5
llee
LQ Newbie
 
Registered: Apr 2003
Posts: 23

Original Poster
Rep: Reputation: 15
I talk to Luc and he told me to run it ignoring... Edit the Makefile and add −lstdc++ to the variable EXTRA_LIBS. This is currently only needed, when
using Sablotron version 0.9.7

so i ran:
./configure \
−−with−apxs=/usr/local/apache/bin/apxs \
−−with−mysql=/usr/local/mysql \
−−with−pgsql=/usr/local/pgsql \
and so on...

and go this error:
...
checking for hwapi support... no
checking for Hyperwave support... no
checking for iconv support... no
checking for IMAP support... yes
checking for pam_start in -lpam... yes
checking for crypt in -lcrypt... (cached) yes
configure: error: Cannot find rfc822.h. Please check your IMAP installation.
[root@mail05 php-4.3.0]#
[root@mail05 php-4.3.0]# locate rfc822.h
/usr/local/imap-2002c1/src/c-client/rfc822.h
/usr/local/imap-2002c1/c-client/rfc822.h

Any clues how I can resolve this? Thank you.
 
Old 05-07-2003, 03:02 PM   #6
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Hmmm ... I followed these instructions, and install was a breeze ....

No idea why the maintainer of the howto
chose the path's or believes he has to
edit makefiles ...

Cheers,
Tink
 
Old 05-10-2003, 02:30 AM   #7
llee
LQ Newbie
 
Registered: Apr 2003
Posts: 23

Original Poster
Rep: Reputation: 15
i figure this out

where imap-2002c1 is in /usr/local

# cd /usr/local
# ln -s /usr/local/imap-2002c1 imap

this seems to fix it but led to another problem
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Compile php4.3.10 IchBin Linux - Newbie 4 03-07-2005 06:42 AM
php4.3.4 w/gd compile problems deflin39 Linux - Software 11 01-19-2005 06:27 AM
Trouble installing Apache, Openssl, Modssl, php4, imap, and aeromail. Abs2004 Linux - Software 3 11-01-2004 12:26 PM
installing PHP4 and PHP5 on apache jerry_redhat Linux - Software 2 07-08-2003 10:27 PM
Apache Compile - 6.3. Building and installing PHP4 help - Unable to locate your libmc llee Linux - Software 5 05-16-2003 10:31 PM


All times are GMT -5. The time now is 06:52 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration